# foerderbarometer

purpose: gather data from intern(WMDE) and extern(volunteers) forms to create a database ('förderdatenbank') and send emails with links for a questionary.

## Should be executed daily

    python3 manage.py sendmails

## versions used in development

    python 3.8.2
    django 3.1.1
    django-formtools 2.2
    whitenoise 5.2.0

## production setup

    cp foerderbarometer/settings_production.py foerderbarometer/settings.py

edit /secrets.json to contain something similar to

{
  "DATABASE_PASSWORD": "THIS IS TOP SECRET!"
}

    python manage.py collectstatic

add to cron one time a day:

    python manage.py sendmails
